E-MailRelay

Public Member Functions | List of all members
G::Exception Class Reference

A general-purpose exception class derived from std::exception and containing an error message. More...

`#include <gexception.h>`

Inheritance diagram for G::Exception:

## Public Member Functions
| Exception (const char *what)
| Constructor. More...
| Exception (const std::string &what)
| Constructor. More...
| Exception (const char *what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...

## Detailed Description

A general-purpose exception class derived from std::exception and containing an error message.

Provides constructors that simplify the assembly of multi-part error messages.

Usage:

throw G::Exception( "initialisation error" , "no such file" , path ) ;
G::Exception
A general-purpose exception class derived from std::exception and containing an error message.
Definition: gexception.h:45

Definition at line 44 of file gexception.h.

## Constructor & Destructor Documentation

## ◆ Exception() [1/8]

G::Exception::Exception | ( | const char * | what | ) |
| explicit

Constructor.

Definition at line 61 of file gexception.cpp.

## ◆ Exception() [2/8]

G::Exception::Exception | ( | const std::string & | what | ) |
| explicit

Constructor.

Definition at line 66 of file gexception.cpp.

## ◆ Exception() [3/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more
| ) |  |

Constructor.

Definition at line 71 of file gexception.cpp.

## ◆ Exception() [4/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more
| ) |  |

Constructor.

Definition at line 76 of file gexception.cpp.

## ◆ Exception() [5/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more1,
|  | const std::string & | more2
| ) |  |

Constructor.

Definition at line 81 of file gexception.cpp.

## ◆ Exception() [6/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more1,
|  | const std::string & | more2
| ) |  |

Constructor.

Definition at line 86 of file gexception.cpp.

## ◆ Exception() [7/8]

G::Exception::Exception | ( | const char * | what,
|  | const std::string & | more1,
|  | const std::string & | more2,
|  | const std::string & | more3
| ) |  |

Constructor.

Definition at line 91 of file gexception.cpp.

## ◆ Exception() [8/8]

G::Exception::Exception | ( | const std::string & | what,
|  | const std::string & | more1,
|  | const std::string & | more2,
|  | const std::string & | more3
| ) |  |

Constructor.

Definition at line 97 of file gexception.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gexception.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gexception.cpp